# Uses of Class
org.apache.sling.servlets.resolver.internal.helper.ResourceCollector

Packages that use ResourceCollector
Package
Description
org.apache.sling.servlets.resolver.internal.helper

## Uses of ResourceCollector in org.apache.sling.servlets.resolver.internal.helper

Methods in org.apache.sling.servlets.resolver.internal.helper that return ResourceCollector
Modifier and Type
Method
Description
`static ResourceCollector`
ResourceCollector.`create(org.apache.sling.api.resource.Resource resource, String extension, String[] executionPaths, String[] defaultExtensions, String methodName, String[] selectors, boolean useResourceCaching)`
`static ResourceCollector`
ResourceCollector.`create(org.apache.sling.api.SlingHttpServletRequest request, String[] executionPaths, String[] defaultExtensions, boolean UseResourceCaching)`
Creates a `ResourceCollector` for the given `request`.